function loadMoreNews() {
    if($('.news-topteaser').length < 1) {
        $('body').find('.load-more').hide();
        return;
    }

    var container = $('.news-topteaser'),
        button = container.find('.load-more'),
        pagination = container.find('.page-navigation'),
        newsToLoad = [];

    container.find('.page-navigation').hide();

    // Verstecke Button wenn keine Pagination
    if (pagination.length < 1) {
        button.hide();
    }

    // Paginationslinks auslesen
    pagination.find('li:not([class])').each(function() {
        newsToLoad.push($(this).find('a').attr('href'));
    });


    // Button Event & Ajax-Request
    button.not('.loading').on('click', function(e){
        e.preventDefault();

        if(button.hasClass('loading')){
            return;
        }

        button.addClass('loading');

        $.ajax({
            async: 'true',
            url: newsToLoad[0] + '&type=1984',
            type: 'POST',
            dataType: 'html',
            success: function (data) {
                container.find('.news-list-content').append($(data).find(".ajax-content").html());
                container.find('.news-list-content').find('.page-navigation').remove();
                newsToLoad.shift();
                button.removeClass('loading');
                if(newsToLoad.length == 0) {
                    button.remove();
                }
            },
            error: function (error) {
                button.removeClass('loading');
            }
        });
    });
}
$(function(){
    loadMoreNews();
});